Summary: API documentation generation tool for GTK+ and GNOME
Name: 		gtk-doc
Version: 1.18
Release: 	%mkrel 2
License: 	GPLv2+ and GFDL
Group: 		Development/GNOME and GTK+
Source:		http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/%{name}-%{version}.tar.xz
BuildRequires:	libxslt-proc
BuildRequires:	openjade
BuildRequires:  docbook-dtd43-xml
BuildRequires:  docbook-style-xsl
BuildRequires:  scrollkeeper
BuildRequires:  gnome-doc-utils
BuildRequires:  dblatex
BuildRequires:  source-highlight
#gw for building the checks
BuildRequires:  glib2-devel
BuildRequires:  rarian
BuildArch:	noarch
URL: 		http://www.gtk.org/gtk-doc/
Requires:   libxslt-proc
Requires: 	docbook-utils
Requires:   docbook-dtd43-xml
Requires: 	docbook-style-xsl
Requires:	diffutils
Requires:  source-highlight
%define _requires_exceptions perl(gtkdoc-common.pl)

%description
gtk-doc is a tool for generating API reference documentation.
it is used for generating the documentation for GTK+, GLib
and GNOME.

%package mkpdf
Summary: API documentation PDF format generation tool for GTK+ and GNOME
Group: Development/GNOME and GTK+
Requires: %{name} = %version
Requires: dblatex
Conflicts: %{name} < 1.17-2

%description mkpdf
gtkdoc-mkpdf is a tool for generating API reference documentation in PDF format.
it is used for generating the documentation for GTK+, GLib and GNOME.

%prep
%setup -q
# Move this doc file to avoid name collisions
mv doc/README doc/README.docs

%build
./configure --prefix=%_prefix --disable-scrollkeeper
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std pkgconfigdir=%_datadir/pkgconfig

# include shared directory
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html

%find_lang %name-manual --with-gnome
for omf in %buildroot%_datadir/omf/*/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name-manual.lang
done

%check
PERL5LIB=$(pwd) PATH=$PATH:$(pwd) make check

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name-manual.lang
%defattr(-, root, root)
%doc AUTHORS README doc/* examples
%{_bindir}/gtkdoc-check
%{_bindir}/gtkdoc-depscan
%{_bindir}/gtkdoc-fixxref
%{_bindir}/gtkdoc-mkdb
%{_bindir}/gtkdoc-mkhtml
%{_bindir}/gtkdoc-mkman
%{_bindir}/gtkdoc-mktmpl
%{_bindir}/gtkdoc-rebase
%{_bindir}/gtkdoc-scan
%{_bindir}/gtkdoc-scangobj
%{_bindir}/gtkdoc-scanobj
%{_bindir}/gtkdocize
%{_datadir}/gtk-doc
%{_datadir}/sgml/gtk-doc
%_datadir/pkgconfig/*
%{_datadir}/aclocal/*
%dir %_datadir/omf/%name-manual
%_datadir/omf/%name-manual/*-C.omf

%files mkpdf
%defattr(-, root, root)
%{_bindir}/gtkdoc-mkpdf


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.18-2.mga3
+ Revision: 352818
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 15 2011 fwang <fwang> 1.18-1.mga2
+ Revision: 143695
- new version 1.18

* Mon Aug 29 2011 fwang <fwang> 1.17-2.mga2
+ Revision: 136050
- split out pdf command, which is rarely used

* Thu Mar 03 2011 pterjan <pterjan> 1.17-1.mga1
+ Revision: 63336
- Update to 1.17
- Fix indentation

* Tue Jan 11 2011 blino <blino> 1.15-4.mga1
+ Revision: 6387
- remove pkgconfig dir definition for old versions

  + pterjan <pterjan>
    - imported package gtk-doc

